Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class Init

    java.lang.Object
      org.jboss.seam.core.Init

    @Scope(value=APPLICATION)
    @BypassInterceptors
    @Name(value="org.jboss.seam.core.init")
    @Install(value=false,
             precedence=0)
    public class Init

extends Object

A Seam component that holds Seam configuration settings

Author:
  Gavin King

Nested Class Summary
`static class` | `Init.FactoryExpression`
`static class` | `Init.FactoryMethod`
`static class` | `Init.ObserverMethod`
`static class` | `Init.ObserverMethodExpression`

Field Summary
`static List<String>` | `DEFAULT_INTERCEPTORS`

Constructor Summary
`Init()`

Method Summary
`void` | `addAutocreateVariable(String name)`
`void` | `addFactoryMethod(String variable, Method method, Component component)`
`void` | `addFactoryMethodExpression(String variable, String methodBindingExpression, ScopeType scope)`
`void` | `addFactoryValueExpression(String variable, String valueBindingExpression, ScopeType scope)`
`void` | `addHotDeployableComponent(String name)`
`void` | `addInstalledFilter(String name)`
`void` | `addObserverMethod(String eventType, Method method, Component component, boolean create)`
`void` | `addObserverMethodExpression(String eventType, Expressions.MethodExpression methodBinding)`
`void` | `addPermissionResolver(String name)`
`void` | `addResourceProvider(String name)`
`void` | `checkDefaultInterceptors()` Sanity check to warn users if they have disabled core interceptors
`Map<String,String>` | `getConverters()`
`Map<Class,String>` | `getConvertersByClass()`
`Init.FactoryMethod` | `getFactory(String variable)`
`Init.FactoryExpression` | `getFactoryMethodExpression(String variable)`
`Init.FactoryExpression` | `getFactoryValueExpression(String variable)`
`Collection<Namespace>` | `getGlobalImports()`
`Set<String>` | `getHotDeployableComponents()`
`File[]` | `getHotDeployPaths()`
`Set<String>` | `getInstalledFilters()`
`List<String>` | `getInterceptors()`
`String` | `getJndiPattern()`
`List<Init.ObserverMethodExpression>` | `getObserverMethodExpressions(String eventType)`
`List<Init.ObserverMethod>` | `getObserverMethods(String eventType)`
`Set<String>` | `getPermissionResolvers()`
`Set<String>` | `getResourceProviders()`
`Namespace` | `getRootNamespace()`
`long` | `getTimestamp()`
`Map<String,String>` | `getValidators()`
`long` | `getWarTimestamp()`
`boolean` | `hasHotDeployableComponents()`
`void` | `importNamespace(String namespaceName)`
`Namespace` | `initNamespaceForName(String name, boolean isComponent)` makes sure appropriate namespaces exist for a name.
`static Init` | `instance()`
`boolean` | `isAutocreateVariable(String name)`
`boolean` | `isDebug()`
`boolean` | `isDebugPageAvailable()` The debug page is considered available if debug JAR is on the classpath and Seam is running in debug mode (to prevent it from being enabling in the event the JAR is inadvertently packaged).
`boolean` | `isDistributable()`
`boolean` | `isJbpmInstalled()`
`boolean` | `isMyFacesLifecycleBug()`
`boolean` | `isSecurityEnabled()`
`boolean` | `isTransactionManagementEnabled()`
`void` | `removeObserverMethods(Component component)` Remove any observer methods registered on the component.
`void` | `setDebug(boolean debug)`
`void` | `setDistributable(boolean distributable)`
`void` | `setHotDeployPaths(File[] hotDeployJars)`
`void` | `setInterceptors(List<String> interceptors)`
`void` | `setJbpmInstalled(boolean jbpmInstalled)`
`void` | `setJndiPattern(String jndiPattern)`
`void` | `setMyFacesLifecycleBug(boolean myFacesLifecycleBugExists)`
`void` | `setSecurityEnabled(boolean securityEnabled)`
`void` | `setTimestamp(long timestamp)`
`void` | `setTransactionManagementEnabled(boolean transactionManagementEnabled)`
`void` | `setWarTimestamp(long warTimestamp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INTERCEPTORS

    public static List<String> DEFAULT_INTERCEPTORS

Constructor Detail

### Init

    public Init()

Method Detail

### instance

    public static Init instance()

### getFactory

    public Init.FactoryMethod getFactory(String variable)

### getFactoryMethodExpression

    public Init.FactoryExpression getFactoryMethodExpression(String variable)

### getFactoryValueExpression

    public Init.FactoryExpression getFactoryValueExpression(String variable)

### initNamespaceForName

    public Namespace initNamespaceForName(String name,
                                          boolean isComponent)

  makes sure appropriate namespaces exist for a name. isComponent indicates the name is for a component type, in which case we don't create a namespace for the last part

### addFactoryMethod

    public void addFactoryMethod(String variable,
                                 Method method,
                                 Component component)

### addFactoryMethodExpression

    public void addFactoryMethodExpression(String variable,
                                           String methodBindingExpression,
                                           ScopeType scope)

### addFactoryValueExpression

    public void addFactoryValueExpression(String variable,
                                          String valueBindingExpression,
                                          ScopeType scope)

### getObserverMethods

    public List<Init.ObserverMethod> getObserverMethods(String eventType)

### getObserverMethodExpressions

    public List<Init.ObserverMethodExpression> getObserverMethodExpressions(String eventType)

### addObserverMethod

    public void addObserverMethod(String eventType,
                                  Method method,
                                  Component component,
                                  boolean create)

### addObserverMethodExpression

    public void addObserverMethodExpression(String eventType,
                                            Expressions.MethodExpression methodBinding)

### removeObserverMethods

    public void removeObserverMethods(Component component)

  Remove any observer methods registered on the component. Needed to clean out old observer methods on hot deploy

  Parameters:
    `component` -

### isJbpmInstalled

    public boolean isJbpmInstalled()

### getJndiPattern

    public String getJndiPattern()

### setJndiPattern

    public void setJndiPattern(String jndiPattern)

### isDebug

    public boolean isDebug()

### setDebug

    public void setDebug(boolean debug)

### isDebugPageAvailable

    public boolean isDebugPageAvailable()

  The debug page is considered available if debug JAR is on the classpath and Seam is running in debug mode (to prevent it from being enabling in the event the JAR is inadvertently packaged).

### isMyFacesLifecycleBug

    public boolean isMyFacesLifecycleBug()

### setMyFacesLifecycleBug

    public void setMyFacesLifecycleBug(boolean myFacesLifecycleBugExists)

### setJbpmInstalled

    public void setJbpmInstalled(boolean jbpmInstalled)

### isAutocreateVariable

    public boolean isAutocreateVariable(String name)

### addAutocreateVariable

    public void addAutocreateVariable(String name)

### getRootNamespace

    public Namespace getRootNamespace()

### importNamespace

    public void importNamespace(String namespaceName)

### addInstalledFilter

    public void addInstalledFilter(String name)

### getInstalledFilters

    public Set<String> getInstalledFilters()

### addResourceProvider

    public void addResourceProvider(String name)

### getResourceProviders

    public Set<String> getResourceProviders()

### addPermissionResolver

    public void addPermissionResolver(String name)

### getPermissionResolvers

    public Set<String> getPermissionResolvers()

### getHotDeployableComponents

    public Set<String> getHotDeployableComponents()

### addHotDeployableComponent

    public void addHotDeployableComponent(String name)

### getConverters

    public Map<String,String> getConverters()

### getConvertersByClass

    public Map<Class,String> getConvertersByClass()

### getValidators

    public Map<String,String> getValidators()

### hasHotDeployableComponents

    public boolean hasHotDeployableComponents()

### getHotDeployPaths

    public File[] getHotDeployPaths()

### setHotDeployPaths

    public void setHotDeployPaths(File[] hotDeployJars)

### getTimestamp

    public long getTimestamp()

### setTimestamp

    public void setTimestamp(long timestamp)

### getWarTimestamp

    public long getWarTimestamp()

### setWarTimestamp

    public void setWarTimestamp(long warTimestamp)

### isTransactionManagementEnabled

    public boolean isTransactionManagementEnabled()

### setTransactionManagementEnabled

    public void setTransactionManagementEnabled(boolean transactionManagementEnabled)

### isSecurityEnabled

    public boolean isSecurityEnabled()

### setSecurityEnabled

    public void setSecurityEnabled(boolean securityEnabled)

### getGlobalImports

    public Collection<Namespace> getGlobalImports()

### getInterceptors

    public List<String> getInterceptors()

### setInterceptors

    public void setInterceptors(List<String> interceptors)

### isDistributable

    public boolean isDistributable()

### setDistributable

    public void setDistributable(boolean distributable)

### checkDefaultInterceptors

    public void checkDefaultInterceptors()

  Sanity check to warn users if they have disabled core interceptors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.